curl --request PATCH \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/assets/value-updates/{valueUpdateId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 123,
"update_type": "DEPRECIATION_AMORTIZATION",
"counter_account": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"date": "2023-11-07T05:31:56Z",
"memo": "<string>",
"metadata": {},
"reference_number": "<string>"
}
'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/assets/value-updates/{valueUpdateId}"
payload = {
"amount": 123,
"update_type": "DEPRECIATION_AMORTIZATION",
"counter_account": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"date": "2023-11-07T05:31:56Z",
"memo": "<string>",
"metadata": {},
"reference_number": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 123,
update_type: 'DEPRECIATION_AMORTIZATION',
counter_account: {type: 'AccountId', id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'},
date: '2023-11-07T05:31:56Z',
memo: '<string>',
metadata: {},
reference_number: '<string>'
})
};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/assets/value-updates/{valueUpdateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"update_type": "DEPRECIATION_AMORTIZATION",
"date": "2023-11-07T05:31:56Z",
"transaction_tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "ExampleTagKey",
"value": "ExampleTagValue",
"dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimension_display_name": "<string>",
"value_display_name": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
],
"external_id": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"memo": "<string>",
"metadata": {},
"reference_number": "<string>"
}
}Update an asset value update
Updates an asset value update. Changing the amount, type, account, or date re-posts the underlying journal entry.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UUID of the business.
The UUID of the value update.
Body
The value update fields to update.
Parameters for updating an asset value update. Only include the fields you want to change. Changing the amount, type, account, or date re-posts the underlying journal entry.
Updated amount, in cents.
The kind of value change applied to an asset. DEPRECIATION_AMORTIZATION, IMPAIRMENT, and REVALUATION_DOWN decrease the asset's carrying value; IMPROVEMENT and REVALUATION_UP increase it. DEPRECIATION_AMORTIZATION requires the asset to have an accumulated_depreciation_account configured.
DEPRECIATION_AMORTIZATION, IMPROVEMENT, IMPAIRMENT, REVALUATION_UP, REVALUATION_DOWN "DEPRECIATION_AMORTIZATION"
Updated counter account.
- Account ID
- Account Stable Name
Show child attributes
Show child attributes
Updated date.
Updated internal note.
Arbitrary JSON object you can attach for your own use. Layer stores and returns it unchanged.
Updated reference number.
Response
The updated asset value update.
A recorded change to an asset's value, such as depreciation, improvement, impairment, or revaluation.
Show child attributes
Show child attributes